SessionListElement Class Reference

Class for tracking session status. More...

`#include <pool.h>`

## Public Member Functions

| SessionListElement (RTPSessionBase RTPSessionBase *e)
void | clear ()
bool | isCleared ()
RTPSessionBase RTPSessionBase * | get ()

## Detailed Description

Class for tracking session status.

Session pools arrange sessions in lists of SessionListElement objects.

Author
  Jorgen Terner

## Constructor & Destructor Documentation

## SessionListElement()

SessionListElement::SessionListElement | ( | RTPSessionBase RTPSessionBase * | e | ) |

inline

## Member Function Documentation

## clear()

void SessionListElement::clear | ( |  | ) |

inline

## get()

RTPSessionBase RTPSessionBase * SessionListElement::get | ( |  | ) |

inline

## isCleared()

bool SessionListElement::isCleared | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- pool.h